<?php

#include_once('../functions/i18n.php');

function squirrelmail_plugin_init_change_ldappass() {
  global $squirrelmail_plugin_hooks;
  global $mailbox, $imap_stream, $imapConnection;

  $squirrelmail_plugin_hooks["options_save"]["change_ldappass"] = "change_ldappass_save_pref";
  $squirrelmail_plugin_hooks["options_link_and_description"]["change_ldappass"] = "change_ldappass_opt";
}


function change_ldappass_opt() {
  global $color;

  bindtextdomain('change_ldappass', '../plugins/change_ldappass/locale');
  textdomain('change_ldappass');

  ?>
  <table width=50% cellpadding=3 cellspacing=0 border=0 align=center>
  <tr>
     <td bgcolor="<?php echo $color[9] ?>">
       <a href="../plugins/change_ldappass/options.php"><?php echo _("Change Password") ?></a>
     </td>
  </tr>
  <tr>
     <td bgcolor="<?php echo $color[0] ?>"><?php echo _(
        "This connects to your local Password Server to change your login password for all services."
	) ?>
     </td>
  </tr>
  </table>

  <?php
  textdomain('squirrelmail');
}


function change_ldappass_save_pref() {
   global $plugin_change_ldappass;


  bindtextdomain('change_ldappass', '../plugins/change_ldappass/locale');
  textdomain('change_ldappass');

   if (!isset($plugin_change_ldappass))
       return;

    echo _("<p align=center>Password changed successfully.</p>\n");

}

  textdomain('squirrelmail');
?>
